@charset "utf-8";
/***************************************************************************************************************
(c) Copyright YA, 2021
    Main
***************************************************************************************************************/

/*--------------------------------------------------------------------------------------------------------------
- Reset
- Form
- Input
- Button
---------------------------------------------------------------------------------------------------------------*/

/*-- Reset --*/
*, *::before, *::after {
	box-sizing: border-box;
}

*:focus, *:focus-visible {
	outline: unset;
}

body {
	min-height: 100vh;
	scroll-behavior: smooth;
	text-rendering: optimizeSpeed;
	background-color: var(--background);
	margin: 0;
}

ul, ol {
	padding: 0;
	margin: 0;
	list-style: none;
}

button, input {
	border: 0;
	outline: 0;
}

p, pre {
	margin-top: 0;
}

p:last-child, pre {
	margin-bottom: 0;
}

img {
	max-width: 100%;
	display: block;
}

/*-- Font --*/
* {
	font-family: Roboto, Arial, Helvetica, sans-serif;
}

div, p, span, ul, ol, li, i, b, a, strong, pre, dl, dd {
	font-size: 1rem;
	line-height: 1.4rem;
}

input, button {
	font-size: inherit;
	line-height: 1;
}

/*-- Input --*/
input {
	padding: var(--padding--elem);
	color: var(--text);
	background-color: var(--background);
	border-radius: var(--border-radius--mini);
}

input::placeholder,
input::-webkit-input-placeholder {
	font: inherit;
	line-height: inherit;
	color: var(--placeholder);
}

/*-- Button --*/
button {
	padding: var(--padding--elem);
	color: #FFF;
	background-color: var(--primary);
	border-radius: var(--border-radius--mini);
	cursor: pointer;
	transition: all .3s;
}

button[disabled] {
	color: var(--text);
	background-color: var(--highlight);
	cursor: unset;
}

button:not([disabled]):hover {
	background-color: var(--primary--hover);
}